package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_template_v2 产品-模型-模板表
type FsProductTemplateV2 struct {
	Id           int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	ProductId    *int64  `gorm:"index;default:0;" json:"product_id"`              // 产品ID
	ModelId      *int64  `gorm:"default:0;" json:"model_id"`                      // 模型ID
	Title        *string `gorm:"default:'';" json:"title"`                        //
	Name         *string `gorm:"default:'';" json:"name"`                         //
	CoverImg     *string `gorm:"default:'';" json:"cover_img"`                    //
	TemplateInfo *string `gorm:"default:'';" json:"template_info"`                //
	MaterialImg  *string `gorm:"default:'';" json:"material_img"`                 //
	Sort         *int64  `gorm:"default:0;" json:"sort"`                          // 排序
	LogoWidth    *int64  `gorm:"default:0;" json:"logo_width"`                    // logo图最大宽度
	LogoHeight   *int64  `gorm:"default:0;" json:"logo_height"`                   // logo图最大高度
	IsPublic     *int64  `gorm:"default:0;" json:"is_public"`                     // 是否可公用（1:可以，0：不可以）
	Status       *int64  `gorm:"default:0;" json:"status"`                        // 状态1正常 2异常
	Ctime        *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
	TemplateTag  *string `gorm:"default:'';" json:"template_tag"`                 //
	IsDel        *int64  `gorm:"default:0;" json:"is_del"`                        // 是否删除 1删除
	SwitchInfo   *string `gorm:"default:'';" json:"switch_info"`                  //
	Version      *int64  `gorm:"index;default:0;" json:"version"`                 // 默认1
}
type FsProductTemplateV2Model struct {
	db   *gorm.DB
	name string
}

func NewFsProductTemplateV2Model(db *gorm.DB) *FsProductTemplateV2Model {
	return &FsProductTemplateV2Model{db: db, name: "fs_product_template_v2"}
}
